Bug 1021214 - gnome-shell crashes when trying to show all applications
gnome-shell crashes when trying to show all applications
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
21
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
: 1138816 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 07:21 EDT by udo
Modified: 2015-12-02 11:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 22:00:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace (27.05 KB, text/plain)
2013-11-28 12:07 EST, Charlie
no flags Details

  None (edit)
Description udo 2013-10-20 07:21:34 EDT
Description of problem:
I tried to see all applications by hitting the 'windows' key, then clicking the 'show applications' icon and then clicking 'all'
Gnome-shell crashes, sometimes some 'oh no something has gone wrong' screen is shown allowing me to log out as the only real choice.

Version-Release number of selected component (if applicable):
gnome-shell-3.8.4-2.fc19.x86_64

How reproducible:
See above.

Actual results:
kernel: [498869.142358] traps: gnome-shell[1981] general protection ip:37d5e634b7 sp:7fffb2941660 error:0 in libglib-2.0.so.0.3600.3[37d5e00000+12a000]
kernel: [498884.690739] traps: gnome-shell[12280] general protection ip:37d5e64660 sp:7fff097185f8 error:0 in libglib-2.0.so.0.3600.3[37d5e00000+12a000]
kernel: [498998.960332] traps: gnome-shell[12801] general protection ip:37d5e634b7 sp:7fffe61a0b40 error:0 in libglib-2.0.so.0.3600.3[37d5e00000+12a000]


Expected results:
Listing of all apps known to gnome-shell

Additional info:
As this is essential functionality for a desktop environment I think this is a serious issue.
Comment 1 udo 2013-10-20 07:51:12 EDT
Some of the artificial intelligence of gnome-shell disabled plugins to the shell.
Please disable this mechanism for causes that are so far unproven to be plugin-related and very reproducible indeed.
Comment 2 gregbathern 2013-10-21 09:26:22 EDT
I have exactly the same problem.  

kernel: [17383.190601] traps: gnome-shell[1396] general protection ip:306e4634b7 sp:7fff9f3143f0 error:0 in libglib-2.0.so.0.3600.3[306e400000+12a000]

It first occurred after installation of software updates on 16 Oct 2013.

Packages Altered:
    Updated     abrt-2.1.7-1.fc19.x86_64                            @updates
    Update           2.1.8-1.fc19.x86_64                            @updates
    Updated     abrt-addon-ccpp-2.1.7-1.fc19.x86_64                 @updates
    Update                      2.1.8-1.fc19.x86_64                 @updates
    Updated     abrt-addon-kerneloops-2.1.7-1.fc19.x86_64           @updates
    Update                            2.1.8-1.fc19.x86_64           @updates
    Updated     abrt-addon-pstoreoops-2.1.7-1.fc19.x86_64           @updates
    Update                            2.1.8-1.fc19.x86_64           @updates
    Updated     abrt-addon-python-2.1.7-1.fc19.x86_64               @updates
    Update                        2.1.8-1.fc19.x86_64               @updates
    Updated     abrt-addon-vmcore-2.1.7-1.fc19.x86_64               @updates
    Update                        2.1.8-1.fc19.x86_64               @updates
    Updated     abrt-addon-xorg-2.1.7-1.fc19.x86_64                 @updates
    Update                      2.1.8-1.fc19.x86_64                 @updates
    Updated     abrt-dbus-2.1.7-1.fc19.x86_64                       @updates
    Update                2.1.8-1.fc19.x86_64                       @updates
    Updated     abrt-desktop-2.1.7-1.fc19.x86_64                    @updates
    Update                   2.1.8-1.fc19.x86_64                    @updates
    Updated     abrt-gui-2.1.7-1.fc19.x86_64                        @updates
    Update               2.1.8-1.fc19.x86_64                        @updates
    Updated     abrt-gui-libs-2.1.7-1.fc19.x86_64                   @updates
    Update                    2.1.8-1.fc19.x86_64                   @updates
    Updated     abrt-libs-2.1.7-1.fc19.x86_64                       @updates
    Update                2.1.8-1.fc19.x86_64                       @updates
    Updated     abrt-plugin-bodhi-2.1.7-1.fc19.x86_64               @updates
    Update                        2.1.8-1.fc19.x86_64               @updates
    Dep-Install abrt-python-2.1.8-1.fc19.x86_64                     @updates
    Updated     abrt-retrace-client-2.1.7-1.fc19.x86_64             @updates
    Update                          2.1.8-1.fc19.x86_64             @updates
    Updated     ceph-0.61.7-1.fc19.x86_64                           @updates
    Update           0.67.3-2.fc19.x86_64                           @updates
    Updated     ceph-libs-0.61.7-1.fc19.x86_64                      @updates
    Update                0.67.3-2.fc19.x86_64                      @updates
    Updated     cups-1:1.6.3-4.fc19.x86_64                          @updates
    Update           1:1.6.4-2.fc19.x86_64                          @updates
    Updated     cups-filesystem-1:1.6.3-4.fc19.noarch               @updates
    Update                      1:1.6.4-2.fc19.noarch               @updates
    Updated     cups-libs-1:1.6.3-4.fc19.x86_64                     @updates
    Update                1:1.6.4-2.fc19.x86_64                     @updates
    Updated     curl-7.29.0-11.fc19.x86_64                          @updates
    Update           7.29.0-12.fc19.x86_64                          @updates
    Updated     elinks-0.12-0.34.pre6.fc19.x86_64                   @?fedora
    Update             0.12-0.35.pre6.fc19.x86_64                   @updates
    Updated     evolution-data-server-3.8.5-4.fc19.x86_64           @updates
    Update                            3.8.5-5.fc19.x86_64           @updates
    Updated     ffmpeg-1.2.3-1.fc19.x86_64                          @rpmfusion-free-updates
    Update             1.2.4-1.fc19.x86_64                          @rpmfusion-free-updates
    Updated     ffmpeg-libs-1.2.3-1.fc19.x86_64                     @rpmfusion-free-updates
    Update                  1.2.4-1.fc19.x86_64                     @rpmfusion-free-updates
    Updated     gnome-abrt-0.3.1-1.fc19.x86_64                      @updates
    Update                 0.3.2-1.fc19.x86_64                      @updates
    Updated     gnupg2-2.0.19-8.fc19.x86_64                         @?fedora
    Update             2.0.22-1.fc19.x86_64                         @updates
    Updated     gtk3-3.8.4-1.fc19.x86_64                            @updates
    Update           3.8.5-1.fc19.x86_64                            @updates
    Updated     gtk3-immodule-xim-3.8.4-1.fc19.x86_64               @updates
    Update                        3.8.5-1.fc19.x86_64               @updates
    Erase       kernel-3.10.11-200.fc19.x86_64                      @updates
    Install     kernel-3.11.4-201.fc19.x86_64                       @updates
    Updated     kernel-headers-3.11.3-201.fc19.x86_64               @updates
    Update                     3.11.4-201.fc19.x86_64               @updates
    Updated     kernel-tools-3.11.3-201.fc19.x86_64                 @updates
    Update                   3.11.4-201.fc19.x86_64                 @updates
    Updated     kernel-tools-libs-3.11.3-201.fc19.x86_64            @updates
    Update                        3.11.4-201.fc19.x86_64            @updates
    Updated     libcacard-2:1.4.2-11.fc19.x86_64                    @updates
    Update                2:1.4.2-12.fc19.x86_64                    @updates
    Updated     libcurl-7.29.0-11.fc19.x86_64                       @updates
    Update              7.29.0-12.fc19.x86_64                       @updates
    Updated     libreport-2.1.7-1.fc19.x86_64                       @updates
    Update                2.1.8-1.fc19.x86_64                       @updates
    Updated     libreport-cli-2.1.7-1.fc19.x86_64                   @updates
    Update                    2.1.8-1.fc19.x86_64                   @updates
    Updated     libreport-fedora-2.1.7-1.fc19.x86_64                @updates
    Update                       2.1.8-1.fc19.x86_64                @updates
    Updated     libreport-filesystem-2.1.7-1.fc19.x86_64            @updates
    Update                           2.1.8-1.fc19.x86_64            @updates
    Updated     libreport-gtk-2.1.7-1.fc19.x86_64                   @updates
    Update                    2.1.8-1.fc19.x86_64                   @updates
    Updated     libreport-newt-2.1.7-1.fc19.x86_64                  @updates
    Update                     2.1.8-1.fc19.x86_64                  @updates
    Updated     libreport-plugin-bugzilla-2.1.7-1.fc19.x86_64       @updates
    Update                                2.1.8-1.fc19.x86_64       @updates
    Updated     libreport-plugin-kerneloops-2.1.7-1.fc19.x86_64     @updates
    Update                                  2.1.8-1.fc19.x86_64     @updates
    Updated     libreport-plugin-logger-2.1.7-1.fc19.x86_64         @updates
    Update                              2.1.8-1.fc19.x86_64         @updates
    Updated     libreport-plugin-reportuploader-2.1.7-1.fc19.x86_64 @updates
    Update                                      2.1.8-1.fc19.x86_64 @updates
    Updated     libreport-plugin-ureport-2.1.7-1.fc19.x86_64        @updates
    Update                               2.1.8-1.fc19.x86_64        @updates
    Updated     libreport-python-2.1.7-1.fc19.x86_64                @updates
    Update                       2.1.8-1.fc19.x86_64                @updates
    Updated     libreport-web-2.1.7-1.fc19.x86_64                   @updates
    Update                    2.1.8-1.fc19.x86_64                   @updates
    Updated     powertop-2.4-4.fc19.x86_64                          @updates
    Update               2.4-5.fc19.x86_64                          @updates
    Updated     python-2.7.5-4.fc19.x86_64                          @updates
    Update             2.7.5-8.fc19.x86_64                          @updates
    Updated     python-libs-2.7.5-4.fc19.x86_64                     @updates
    Update                  2.7.5-8.fc19.x86_64                     @updates
    Updated     qemu-common-2:1.4.2-11.fc19.x86_64                  @updates
    Update                  2:1.4.2-12.fc19.x86_64                  @updates
    Updated     qemu-img-2:1.4.2-11.fc19.x86_64                     @updates
    Update               2:1.4.2-12.fc19.x86_64                     @updates
    Updated     qemu-kvm-2:1.4.2-11.fc19.x86_64                     @updates
    Update               2:1.4.2-12.fc19.x86_64                     @updates
    Updated     qemu-system-x86-2:1.4.2-11.fc19.x86_64              @updates
    Update                      2:1.4.2-12.fc19.x86_64              @updates
    Updated     rubygems-2.0.10-106.fc19.noarch                     @updates
    Update               2.0.11-108.fc19.noarch                     @updates
    Updated     satyr-0.9-1.fc19.x86_64                             @updates
    Update            0.10-1.fc19.x86_64                            @updates
    Updated     selinux-policy-3.12.1-74.8.fc19.noarch              @updates
    Update                     3.12.1-74.9.fc19.noarch              @updates
    Updated     selinux-policy-devel-3.12.1-74.8.fc19.noarch        @updates
    Update                           3.12.1-74.9.fc19.noarch        @updates
    Updated     selinux-policy-doc-3.12.1-74.8.fc19.noarch          @updates
    Update                         3.12.1-74.9.fc19.noarch          @updates
    Updated     selinux-policy-targeted-3.12.1-74.8.fc19.noarch     @updates
    Update                              3.12.1-74.9.fc19.noarch     @updates
    Updated     tkinter-2.7.5-4.fc19.x86_64                         @updates
    Update              2.7.5-8.fc19.x86_64                         @updates
    Updated     tzdata-2013c-2.fc19.noarch                          @updates
    Update             2013g-1.fc19.noarch                          @updates
    Updated     tzdata-java-2013c-2.fc19.noarch                     @updates
    Update                  2013g-1.fc19.noarch                     @updates
    Updated     usbmuxd-1.0.8-7.fc19.x86_64                         @?fedora
    Update              1.0.8-10.fc19.x86_64                        @updates
    Updated     xen-libs-4.2.3-2.fc19.x86_64                        @updates
    Update               4.2.3-3.fc19.x86_64                        @updates
    Updated     xen-licenses-4.2.3-2.fc19.x86_64                    @updates
    Update                   4.2.3-3.fc19.x86_64                    @updates
Comment 3 Charlie 2013-11-28 06:52:56 EST
I have the same problem except that gnome crashes when I initially attempt to access Activities.  The following message is written to the messages file:

Nov 28 06:43:35 nx9030 gdm: GdmSlave: could not fetch type of session 'c2': No such file or directory
Nov 28 06:43:47 nx9030 kernel: [ 5639.078621] gnome-shell[3617]: segfault at 1 ip 00000001 sp bfebac9c error 4 in gnome-shell[8048000+3000]
Nov 28 06:43:55 nx9030 gnome-session[2911]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
Nov 28 06:43:57 nx9030 fprintd: ** Message: No devices in use, exit
Comment 4 udo 2013-11-28 10:27:03 EST
As this is basic gnome 3.x functionality: please let us know how to help you.
Comment 5 Florian Müllner 2013-11-28 10:44:45 EST
A stacktrace as generated by Abrt (or using the instructions on https://wiki.gnome.org/Projects/GnomeShell/Debugging) might provide some useful insights ...
Comment 6 udo 2013-11-28 10:53:34 EST
As we can crash gnome at will, how to include this wonderfull abrt functionality in the mix?
Comment 7 udo 2013-11-28 10:54:16 EST
Normally abrt starts automagically in certain cases but not now...
Comment 8 Charlie 2013-11-28 11:19:02 EST
I went to the debug page and tried to follow the steps but encountered some problems.  The gnome-shell does not recognize the -g option, so I'm not sure what to do there.  I'm accessing the problem computer from another computer using ssh.
Comment 9 Charlie 2013-11-28 12:07:34 EST
Created attachment 830330 [details]
stack trace
Comment 10 Fedora End Of Life 2015-01-09 15:18:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 udo 2015-01-09 23:11:25 EST
Fixed?
Comment 12 udo 2015-03-14 09:41:26 EDT
Any updates?
Was the stack trace in Comment 9 usable to find the root cause?
If not: please explain how to do this trace on gnome-shell.
What patches could we test?
Comment 13 Fedora End Of Life 2015-05-29 05:36:00 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 udo 2015-06-06 09:28:39 EDT
On this F22 box I tried this action and *no* crash (yet)...
Comment 15 Zbigniew Jędrzejewski-Szmek 2015-09-27 20:47:53 EDT
*** Bug 1138816 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2015-11-04 05:25:05 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-12-01 22:00:20 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.